SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:string

fn:string() → string

Function signature

Result | xs:string

Returns the string value of the context node

XPath 2.0 Specification

fn:string(item()? $srcval) → string

Function signature

$srcval | item() ?
Result | xs:string

Returns the string value of the argument. Saxon implements the argument as type item()* rather than item()?

XPath 2.0 Specification

Next